# Heidi

Heidi is a responsive theme designed and developed by [Alexa Weidinger](http://alexaweidinger.com) available for free download from the [WordPress Theme Directory](https://wordpress.org/themes/heidi/).

Heidi is a free WordPress theme with a fun, easily customizable color scheme. Designed with a mobile-first approach and an emphasis on responsive design, Heidi is ready-for-use on a multitude of screen sizes and across devices.

## Features

* Responsive design
* Custom background & other feature colors
* Optional custom header image
* Editor styling
* Featured images

## Changelog

### 1.0.8
* footer.php - Add link to privacy policy page in footer, when a privacy policy page has been set

### 1.0.7
* customizer.php - Fix html escaping for custom styles

### 1.0.5
* style.css - Minor CSS fixes to address edge-case margin issues
* Update to Font Awesome 4.7.0

### 1.0.4
* customizer.php
	- New Customizer color options for Navigation Links - Hover, Entry Footer Text, Sidebar Links - Hover, Calendar Top Row, and Footer Text
	- Updated to only display custom CSS in head when custom changes have been made
	- Added translation support for labels
	- Fixed issue where drop-down menus displayed incorrect background color when altered through Customizer
* style.css, function.php, content.php, content-single.php, content-page.php
	- Featured Images now available on pages as well as posts
	- 'single-post-thumbnail' class replaced with 'attachment-post-thumbnail' for standardizing between posts/pages
* screenshot.png - Updated to 1200x900 pixels for HiDPI displays
* style.css - Minor CSS updates for margin spacing issues & customizer edits
* Updated to Font Awesome 4.6.3


### 1.0.3
* mymasonry.js - Updated to initialize after window is loaded
* content-sidebar.css - Adjusted column widths to use only one media query and standardize percentages
* style.css - Minor CSS updates to fix sidebar width issues
* customizer.php - New Customizer color options for Navigation Links, Main Text, & Sidebar Text

## Licenses and External Assets

Heidi is distrubed under the terms of the [GNU GPL v2](http://www.gnu.org/licenses/gpl-2.0.html)

Heidi's code is based on [_s](http://underscores.me) as it was on July 2015.

Heidi bundles the following third-party font resources:

* [Fontawesome](http://fontawesome.io): Published under [various licenses](http://fortawesome.github.io/Font-Awesome/license/)
* [Open Sans](https://www.google.com/fonts/specimen/Open+Sans): [Apache License version 2.0] (http://www.apache.org/licenses/LICENSE-2.0.html) 
* [Libre Baskerville](https://www.google.com/fonts/specimen/Libre+Baskerville): [SIL Open Font Licence 1.1](http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL) 

Credit for featured image in screenshot.png: [Lauren Mancke](https://unsplash.com/@laurenmancke) via [Unsplash](https://unsplash.com/) with a Creative Commons Zero license. Image NOT included in Heidi theme files.